Summary
Update Trigger
Description
Update a Trigger.
Route
PATCH /operations-manager/triggers/:id
Roles
admin
apiwrite
engineering
operations
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Trigger to update. |
| updates |
object |
yes |
The details of the Trigger document to update. |
Copied to Clipboard
{
"title": "updates",
"$schema": "http://json-schema.org/draft-07/schema",
"$id": "trigger-update",
"oneOf": [
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "e8a6aca71ad43f8b4e136ef7",
"lastExecuted": null,
"migrationVersion": -26555876,
"type": "endpoint",
"verb": "POST",
"routeName": "nqr0o",
"jst": "d1c754cf5db6cb390eafa982"
},
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "17bfb2f8efd7434a0e9ae2a6",
"lastExecuted": 42618275,
"migrationVersion": 68173144,
"type": "eventSystem",
"source": "Duis reprehenderit velit dolor",
"topic": "aliqua deserunt laboris",
"schema": null,
"legacyWrapper": false,
"jst": "8cb193b8d84a312e70d3e4ff"
},
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "e1abedebfdb3c5897e504be6",
"lastExecuted": 74384150,
"migrationVersion": -32797324,
"type": "manual",
"formData": {
"ip": "1.2.3.4",
"name": "myNewDevice"
},
"formSchemaHash": "cillum in enim Lorem",
"legacyWrapper": true,
"formId": "6f9c1b3e0f0d4d6b3fb4a7d1"
},
{
"repeatUnit": null,
"repeatFrequency": null,
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "10e04fefa54f67bba25a8ed6",
"lastExecuted": 97268649,
"migrationVersion": -2315767,
"repeatInterval": 30000,
"formId": "535f1be222b5302b4437c5c5"
}
]
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
object |
The result of the update operation. |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "c7567e5f1aaf4a62c8c280cb",
"lastExecuted": null,
"migrationVersion": -27637691,
"createdBy": "39a9950b0145d326c977a80a",
"created": "1963-04-13T10:07:16.091Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "1978-08-03T15:23:21.271Z",
"_id": "73b98d5ce7a1652f07ebdac5"
}
}